> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Crea organizzazione

> Crea una nuova organizzazione in questo account Enterprise

Richiede una chiave API personale di un amministratore Enterprise.

Crea una nuova organizzazione all'interno del tuo account Enterprise con limiti di ACU opzionali.


## OpenAPI

````yaml it/v2-openapi.yaml POST /v2/enterprise/organizations
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations:
    post:
      tags:
        - organizations
      summary: Endpoint per la creazione di un'organizzazione Enterprise
      description: Crea una nuova organizzazione in questo account Enterprise
      operationId: create_enterprise_organization_endpoint_v2_enterprise_organizations_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnterpriseOrgCreate'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationResponse'
          description: Risposta corretta
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    EnterpriseOrgCreate:
      properties:
        acu_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Acu Limit
        add_creator_as_member:
          default: true
          title: Add Creator As Member
          type: boolean
        display_name:
          title: Display Name
          type: string
      required:
        - display_name
      title: EnterpriseOrgCreate
      type: object
    OrganizationResponse:
      properties:
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        max_cycle_acu_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Cycle Acu Limit
        max_session_acu_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Session Acu Limit
        org_admin_count:
          default: 0
          title: Org Admin Count
          type: integer
        org_id:
          title: Org Id
          type: string
        org_member_count:
          default: 0
          title: Org Member Count
          type: integer
        org_name:
          title: Org Name
          type: string
        org_user_count:
          default: 0
          title: Org User Count
          type: integer
      required:
        - org_id
        - org_name
        - created_at
      title: OrganizationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````